# salt.modules.inspectlib.collector

class salt.modules.inspectlib.collector.Inspector(cachedir=None, piddir=None, pidfilename=None)
  DEFAULT_MINION_CONFIG_PATH = '/etc/salt/minion'
  IGNORE_FS_TYPES = ['autofs', 'cifs', 'nfs', 'nfs4']
  IGNORE_MOUNTS = ['proc', 'sysfs', 'devtmpfs', 'tmpfs', 'fuse.gvfs-fuse-daemon']
  IGNORE_PATHS = ['/tmp', '/var/tmp', '/lost+found', '/var/run', '/var/lib/rpm', '/.snapshots', '/.zfs', '/etc/ssh', '/root', '/home']
  MODE = ['configuration', 'payload', 'all']
  build(format='qcow2', path='/tmp')

    Build an image using Kiwi.

    Parameters:

      - format

      - path

    Returns:

  create_snapshot()

    Open new snapshot.

    Returns:

  export(description, local=False, path='/tmp', format='qcow2')

    Export description for Kiwi.

    Parameters:

      - local

      - path

    Returns:

  request_snapshot(mode, priority=19, **kwargs)

    Take a snapshot of the system.

  reuse_snapshot()

    Open an existing, latest snapshot.

    Returns:

  snapshot(mode)

    Take a snapshot of the system.

salt.modules.inspectlib.collector.is_alive(pidfile)

  Check if PID is still alive.

salt.modules.inspectlib.collector.main(dbfile, pidfile, mode)

  Main analyzer routine.